
Installer - Feature #23477

PuppetCA: Token Based Autosigning

05/02/2018 10:34 AM - Julian Todt

Status: New   

Priority: Normal   

Assignee: Julian Todt   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/425,

https://github.com/theforeman/puppet-pu

ppet/pull/591

  

Description

For idea and discussion, see https://community.theforeman.org/t/puppetca-orchestration-the-future-of-autosigning/8712 and 

https://github.com/theforeman/rfcs/pull/7/files

Here: Update the puppet modules to use the token based autosigning that we are implementing.

puppet-foreman_proxy: Deploy signup-script that puppet calls

puppet-puppet: Set signup-script in puppet.conf

Related issues:

Related to Foreman - Feature #23210: PuppetCA: Token Based Autosigning Closed

Related to Smart Proxy - Feature #23211: PuppetCA: Token Based Autosigning Closed

History

#1 - 05/02/2018 10:35 AM - Julian Todt

- Related to Feature #23210: PuppetCA: Token Based Autosigning added

#2 - 05/02/2018 10:35 AM - Julian Todt

- Related to Feature #23211: PuppetCA: Token Based Autosigning added

#3 - 05/02/2018 10:37 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/425 added

#4 - 05/03/2018 01:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-puppet/pull/591 added

#5 - 06/20/2018 11:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#6 - 07/22/2019 03:17 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New
